Name: netpbm
Version: 9.24
Release: alt4

Summary: Tools for manipulating graphics files in netpbm supported formats
License: GPL
Group: Graphics
Packager: Alexey Novodvorsky <aen@altlinux.ru>

Source0: netpbm-%version-nojbig.tar.bz2
Source1: mf50-netpbm_filters
Source2: test-images.tar.bz2

Patch1: netpbm-9.8-rh-install.patch
Patch2: netpbm-9.9-rh-time.patch
Patch3: netpbm-9.24-rh-struct.patch
Patch4: netpbm-9.24-rh-strip.patch
Patch5: netpbm-9.24-rh-security.patch
Patch6: netpbm-9.24-deb-tmp.patch

Requires: lib%name = %version-%release
Obsoletes: libgr-utils, libgr-progs
Provides: libgr-utils, libgr-progs

# Automatically added by buildreq on Mon Feb 10 2003
BuildRequires: flex libjpeg-devel libpng-devel libtiff-devel zlib-devel

%description
The netpbm package contains programs for handling various graphics file
formats, including .pbm (portable bitmaps), .pgm (portable graymaps),
.pnm (portable anymaps), .ppm (portable pixmaps) and others.

%package -n lib%name
Summary: A library for handling different graphics file formats
Group: System/Libraries
Provides: libgr
Obsoletes: libgr

%description -n lib%name
This package contains a library of functions which support programs for
handling various graphics file formats, including .pbm (portable bitmaps),
.pgm (portable graymaps), .pnm (portable anymaps), .ppm (portable pixmaps)
and others.

%package -n lib%name-devel
Summary: Development tools for programs which will use the netpbm libraries
Group: Development/C
Requires: lib%name = %version-%release
Provides: libgr-devel
Obsoletes: libgr-devel

%description -n lib%name-devel
This package contains the header files and programmer's documentation
for developing programs which can handle the various graphics file
formats supported by the netpbm libraries.

%package -n lib%name-devel-static
Summary: Static netpbm libraries
Group: Development/C
Requires: lib%name-devel = %version-%release
Provides: libgr-devel-static
Obsoletes: libgr-devel-static

%description -n lib%name-devel-static
This package contains the static libraries for developing statically linked
programs which can handle the various graphics file formats supported by
the netpbm libraries.

%prep
%setup -q -a2
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
find -type f -name \*.orig -print -delete

# Rename shhopt.h to pbmshhopt.h to avoid namespace conflicts.
mv shhopt/shhopt.h shhopt/pbmshhopt.h
find -type f \( -name '*.[hc]' -o -iname '*makefile*' \) -print0 |
	xargs -r0 %__grep -FZl shhopt.h -- |
	xargs -r0 %__subst -p 's/shhopt\.h/pbmshhopt.h/g' --

%build
./configure <<EOF




/usr





EOF

TOP=`pwd`
make \
	CC=%__cc \
	CFLAGS="$RPM_OPT_FLAGS -fPIC" \
	LDFLAGS="-L$TOP/pbm -L$TOP/pgm -L$TOP/pnm -L$TOP/ppm" \
	JPEGINC_DIR=%_includedir \
	PNGINC_DIR=%_includedir \
	TIFFINC_DIR=%_includedir \
	JPEGLIB_DIR=%_libdir \
	PNGLIB_DIR=%_libdir \
	TIFFLIB_DIR=%_libdir \
	#

%install
# Nasty hack to work around a useless ldconfig script (RH).
%__ln_s -nf /bin/true buildtools/try_ldconfig

%__mkdir_p %buildroot/usr/share/printconf/mf_rules
%__install -pm644 %SOURCE1 %buildroot/usr/share/printconf/mf_rules/

%__mkdir_p %buildroot/usr/share/printconf/tests
%__install -pm644 test-images/* %buildroot/usr/share/printconf/tests/

PATH="`pwd`:${PATH}" make install \
	JPEGINC_DIR=%buildroot%_includedir \
	PNGINC_DIR=%buildroot%_includedir \
	TIFFINC_DIR=%buildroot%_includedir \
	JPEGLIB_DIR=%_libdir \
	PNGLIB_DIR=%_libdir \
	TIFFLIB_DIR=%_libdir \
	INSTALL_PREFIX=%buildroot%prefix \
	INSTALLBINARIES=%buildroot%_bindir \
	INSTALLHDRS=%buildroot%_includedir \
	INSTALLLIBS=%buildroot%_libdir \
	INSTALLDATA=%buildroot%_datadir/%name-%version \
	INSTALLMANUALS1=%buildroot%_man1dir \
	INSTALLMANUALS3=%buildroot%_man3dir \
	INSTALLMANUALS5=%buildroot%_man5dir \
	#

# Install header files.
%__mkdir_p %buildroot%_includedir
%__install -pm644 pbm/pbm.h %buildroot%_includedir/
#%__install -pm644 pbmplus.h %buildroot%_includedir/
%__install -pm644 pgm/pgm.h %buildroot%_includedir/
%__install -pm644 pnm/pnm.h %buildroot%_includedir/
%__install -pm644 ppm/ppm.h %buildroot%_includedir/
%__install -pm644 shhopt/pbmshhopt.h %buildroot%_includedir/

# Install the static-only librle.a
%__install -pm644 urt/{rle,rle_config}.h %buildroot%_includedir/
%__install -pm644 urt/librle.a %buildroot%_libdir/

# Fixup symlinks.
%__ln_s -nf gemtopnm %buildroot%_bindir/gemtopbm
%__ln_s -nf pnmtoplainpnm %buildroot%_bindir/pnmnoraw
%__ln_s -nf libpbm.so.9 %buildroot%_libdir/libpbm.so
%__ln_s -nf libpgm.so.9 %buildroot%_libdir/libpgm.so
%__ln_s -nf libpnm.so.9 %buildroot%_libdir/libpnm.so
%__ln_s -nf libppm.so.9 %buildroot%_libdir/libppm.so

# Fixup perl paths in the two scripts that require it.
%__subst -p 's|/bin/perl|%__perl|' %buildroot/%_bindir/{ppmfade,ppmshadow}

# pcdindex never worked anyway.
%__rm -f %buildroot%_bindir/pcdindex

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%_libdir/*.so.*
%doc COPYRIGHT.PATENT GPL_LICENSE.txt HISTORY README

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*
%_man3dir/*

%files -n lib%name-devel-static
%_libdir/*.a

%files
%attr(755,root,root) %_bindir/*
%_mandir/man[15]/*.*
%_datadir/%name-%version
%_datadir/printconf

%changelog
* Thu Feb 12 2004 Alexey Tourbin <at@altlinux.ru> 9.24-alt4
- deb-tmp.patch: secure temporary files (CAN-2003-0924)

* Thu Oct 30 2003 Dmitry V. Levin <ldv@altlinux.org> 9.24-alt3
- Specfile cleanup.
- Removed %_bindir/pcdindex (never worked anyway).
- Reenabled standard dependencies calculation method.

* Thu Oct 30 2003 AEN <aen@altlinux.ru> 9.24-alt2
- patch #3 from RH

* Mon Feb 10 2003 AEN <aen@altlinux.ru> 9.24-alt1
- 9.24
- spec changed, thnx to MDK & RH
- security patch (#4)

* Mon Oct 28 2002 AEN <aen@altlinux.ru> 9.10-alt4
- rebuilt with gcc-3.2

* Thu Oct 11 2001 AEN <aen@logic.ru> 9.10-alt3
- rebuilt with libpng.so.3

* Fri Aug 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 9.10-alt2
- Specfile cleanup (still requires more cleanup).
- Fixed pnmindex script syntax.

* Thu Aug 16 2001 AEN <aen@logic.ru> 9.10-alt1
- first build for Sisyphus
- static package

* Wed Aug 08 2001 Yves Duret <yduret@mandrakesoft.com> 9.10-4mdk
- added a builrequires to zlib-devel (Buchan Milne <bgmilne@cae.co.za>)
- corrected the 4 no-ldconfig-symlink errors (thx titi)

* Fri Jul 27 2001 Frederic Lepied <flepied@mandrakesoft.com> 9.10-3mdk
- added missing obsoletes on libgr1-progs

* Fri Jul 27 2001 Yves Duret <yduret@mandrakesoft.com> 9.10-2mdk
- added patch2 to fix bad include netpbm-shhopt.h
- added provides libgr

* Tue Jul 24 2001 Yves Duret <yduret@mandrakesoft.com> 9.10-1mdk
- first MandrakeSoft package (stolen from d3bi4n and PLD)
    Obsoletes libgr libgr-progs libgr-devel
